Bug 200502 - (CVE-2006-3746) CVE-2006-3746 GnuPG Parse_Comment Remote Buffer Overflow
CVE-2006-3746 GnuPG Parse_Comment Remote Buffer Overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
impact=moderate,source=rt,reported=20...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 04:17 EDT by Marcel Holtmann
Modified: 2008-11-10 06:44 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0615
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 05:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-07-28 04:17:01 EDT
Text from Security Focus:

http://www.securityfocus.com/bid/19110/

GnuPG is prone to a remote buffer-overflow vulnerability because it fails to
properly bounds-check user-supplied input before copying it to an insufficiently
sized memory buffer.

This issue may allow remote attackers to execute arbitrary machine code in the
context of the affected application, but this has not been confirmed.

GnuPG version 1.4.4 is vulnerable to this issue; previous versions may also be
affected.

The following Perl command demonstrates this issue by crashing the affected
application:

perl -e 'print "\xfd\xff\xff\xff\xff\xfe"'| /var/gnupg/bin/gpg --no-armor

http://lists.immunitysec.com/pipermail/dailydave/2006-July/003354.html
Comment 7 Red Hat Bugzilla 2006-08-02 05:33:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0615.html

Note You need to log in before you can comment on or make changes to this bug.